Any constructor that does not take arguments is called the default constructor.

Such a constructor does not initialize the data elements, but calls the constructor on default, for each element, being an object of another class. An uninitialized variable usually contains a signed trash, for example an uninitialized whole variabl can contain -858993460, which in most programs will, probably an invalid value for this variable)
